[![Build](https://github.com/netlify/serverless-functions-api/workflows/Build/badge.svg)](https://github.com/netlify/serverless-functions-api/actions)
[![Node](https://img.shields.io/node/v/@netlify/serverless-functions-api.svg?logo=node.js)](https://www.npmjs.com/package/@netlify/serverless-functions-api)

# Netlify Functions API

The runtime API for Netlify Functions, compatible with the AWS Lambda runtime API.

## The API

The API surface is quite minimal: functions are comprised of handlers that receive a [Request](https://developer.mozilla.org/en-US/docs/Web/API/Request) and return a [Response](https://developer.mozilla.org/en-US/docs/Web/API/Response), using the default export.

```js
export default async (req) => new Response(`Responding to ${req.url}`)
```

Functions also receive a context object with a series of convenience properties and methods for easy access to common operations and Netlify features.

```js
export default async (req, context) => {
  if (req.url === '/move-me') {
    return context.redirect('/other-page')
  }

  return context.json({ hello: 'world' })
}
```